package com.sysdeo.eclipse.tomcat.actions;

/*
 * (c) Copyright Sysdeo SA 2001, 2002.
 * All Rights Reserved.
 */
 

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

import com.sysdeo.eclipse.tomcat.TomcatLauncherPlugin;

public class RestartActionDelegate implements IWorkbenchWindowActionDelegate {
	private IWorkbenchWindow window;

	/*
	 * @see IWorkbenchWindowActionDelegate#dispose()
	 */
	public void dispose() {
	}

	/*
	 * @see IWorkbenchWindowActionDelegate#init(IWorkbenchWindow)
	 */
	public void init(IWorkbenchWindow window) {
		this.window = window;
	}

	/*
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {	
		TomcatLauncherPlugin.log(TomcatLauncherPlugin.getResourceString("msg.restart"));
		try {	
			TomcatLauncherPlugin.getDefault().getTomcatBootstrap().restart();
		} catch (Exception ex) {
			String msg = TomcatLauncherPlugin.getResourceString("msg.restart.failed");
			TomcatLauncherPlugin.log(msg + "/n");
			TomcatLauncherPlugin.log(ex);	
		}

		
//		new JSPBreakpoint();

/*		IWorkspaceRoot root= ResourcesPlugin.getWorkspace().getRoot();
		IProject project = root.getProject("Toto");
		IResource jsp = project.getFile("exo1.jsp");
		String typeName = "org.apache.jsp.test$jsp";
		int lineNumber = 44;
		int charStart = -1;
		int charEnd = -1;
		int hitCount = -1;
		Map attributes = new HashMap(10);
		
		try {
			new JavaPatternBreakpoint(jsp, "org.apache.jsp.test$jsp", 6, -1, -1, -1, true, attributes);		
		} catch (Exception ex) {
			ex.printStackTrace();
		}
*/		
	}

	/*
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {

	}

}

